<template>
    <div>
        <div class="space-y-4">
            <h1>{{ article.title }}</h1>
            <ArticleMetadata :article="article" prefix="Published" />
            <div class="flex flex-wrap gap-2">
                <Tag v-for="tag in article.tags" :key="tag" :tag="tag" />
            </div>
        </div>

        <div class="flex flex-wrap lg:flex-nowrap mt-8">
            <div class="w-full">
                <img
                    v-if="article.image"
                    :src="article.image"
                    alt="cover image"
                    class="
                        w-full
                        rounded-t-lg
                        object-cover object-center
                        h-80
                        border border-gray-300
                        dark:border-gray-700
                    "
                    :class="article.imageArticleHeight"
                />
                <div
                    class="bg-white dark:bg-gray-900 bg-opacity-90 dark:bg-opacity-95 dark:text-gray-300 p-4 lg:p-8"
                    :class="{
                        'rounded-b-lg': article.image,
                        'rounded-lg': !article.image,
                    }"
                >
                    <div class="prose-lg">
                        <nuxt-content :document="article" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    async asyncData({ $content, params }) {
        const article = await $content('articles', params.slug).fetch()
        return {
            article,
        }
    },
    head() {
        return {
            title: this.article.title,
        }
    },
}
</script>
